Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Server
Name | ### write()
Examples |
    import processing.net.*;

    Server myServer;
    int port = 5204;
    int val = 0;

    void setup() {
      size(200, 200);
      // Starts a myServer on port 5204
      myServer = new Server(this, port);
    }

    void draw() {
      val = val + 1;
      background(val);
      myServer.write(val);
    }
Description | Writes a value to all the connected clients. It sends bytes out from the Server object.
Syntax |
    server.write(data)
Parameters |
server | any variable of type Server
data | byte, char, int, byte[], String: data to write
Returns | None
Usage | Application
Related | Server

Updated on June 14, 2010 12:05:29pm EDT